<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";

	$criterio = $_POST['criterio'];
	$origen = $_POST['origen'];
	//$criterio = "A";

		$datos = " Ingresa a obtener_clientes desde ".$origen." con criterio=".$criterio;	
		insertarLog($datos,$id_aplicacion);

	$valor="";
	if($origen == "factura")
	{
		$sql = "select ";
		$sql .= "valor ";
		$sql .= "from ";
		$sql .= "parametros ";
		$sql .= "where ";
		$sql .= "id_parametro='muestra_tipos_cliente' ";
		
		$sentencia = $conexion->prepare($sql);
		
		$sentencia->execute();

		$resultado = $sentencia->get_result();

		while($fila = $resultado->fetch_assoc())
		{
			$valor=$fila['valor'];
		}

		$sentencia->close();
	}
	else{
		$sql = "select ";
		$sql .= "valor ";
		$sql .= "from ";
		$sql .= "parametros ";
		$sql .= "where ";
		$sql .= "id_parametro='asigna_venta_tipos_cliente' ";
		
		$sentencia = $conexion->prepare($sql);
		
		$sentencia->execute();

		$resultado = $sentencia->get_result();

		while($fila = $resultado->fetch_assoc())
		{
			$valor=$fila['valor'];
		}

		$sentencia->close();
	}
	$datos = " Obtuvo informacion parametro: asigna_venta_tipos_cliente =".$valor;	
		insertarLog($datos,$id_aplicacion);

	$sql = "select ";
	$sql .= "id_cliente,";
	$sql .= "razon_social,";
	$sql .= "rfc,";
	$sql .= "tipo ";
	$sql .= "from ";
	$sql .= "clientes ";
	$sql .= "where ";
	$sql .= "( ";
	if ($origen=="puntos") {
		$sql .= "id_cliente like '%".$criterio."%' or ";
		$sql .= "razon_social like '%".$criterio."%' or ";
		$sql .= "tag_puntos like '%".$criterio."%' or ";
		$sql .= "rfc like '%".$criterio."%' ";
	}
	else
	{
		$sql .= "id_cliente like '%".trim($criterio)."%' or ";
		$sql .= "razon_social like '%".$criterio."%' or ";
		$sql .= "rfc like '%".$criterio."%' ";
	}
	
	$sql .= ") and ";

	if ($valor != "") 
	{
		$sql .= "tipo in (".$valor.") and ";
	}	
	
	$sql .= "publico_general=0 and ";
	
	if ($origen=="venta")
	{
		$sql .= "dispersion=0 and ";
	}
	
	$sql .= "consignacion=0 ";
	$sql .= "and estatus=1 ";
	$sql .= "limit 5 ";
	
	$array = array();

	$sentencia = $conexion->prepare($sql);
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$cliente["id_cliente"]=$fila['id_cliente'];
		$cliente["razon_social"]=$fila['razon_social'];
		$cliente["rfc"]=$fila['rfc'];
		$cliente["tipo"]=$fila['tipo'];
		$array[$cont] = $cliente;
		$cont++;
	}

	$datos = " Obtuvo informacion de clientes desde origen= ".$origen." y con criterio=".$criterio;	
		insertarLog($datos,$id_aplicacion);
	echo response(0,"OK",$array);
	
	$sentencia->close();
	$conexion->close();


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>